Package tigase.server

# Enum Class Priority

java.lang.Object
java.lang.Enum<Priority>
tigase.server.Priority

All Implemented Interfaces:
  `Serializable`, `Comparable<Priority>`, `Constable`

public enum Priority extends Enum<Priority>
Created: Feb 13, 2009 9:44:53 PM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLUSTER`
  `HIGH`
  `LOW`
  `LOWEST`
  `NORMAL`
  `PRESENCE`
  `SYSTEM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Priority`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Priority[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYSTEM

    public static final Priority SYSTEM

  - ### CLUSTER

    public static final Priority CLUSTER

  - ### HIGH

    public static final Priority HIGH

  - ### NORMAL

    public static final Priority NORMAL

  - ### LOW

    public static final Priority LOW

  - ### PRESENCE

    public static final Priority PRESENCE

  - ### LOWEST

    public static final Priority LOWEST

- ## Method Details

  - ### values

    public static Priority[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Priority valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null